#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
	ofSoundStreamSetup(0, 2, this, 44100, 256, 4);
	left = new float [256];
	right = new float [256];
	halfWidth = ofGetWidth()/2;
	halfHeight = ofGetHeight()/2;
}
//--------------------------------------------------------------
void testApp::update(){
}
//--------------------------------------------------------------
void testApp::draw(){
	for(int i=0; i < 256; i++){
		ofSetColor(255, 0, i);
		ofFill();
		ofCircle(halfWidth*(float)i/256, halfHeight, 10+(float)left[i]*halfHeight);
		ofSetColor(0, i, 255);
		ofFill();
		ofCircle(halfWidth*(float)i/256+halfWidth, halfHeight, 10+(float)right[i]*halfHeight);		
	}	
}
//--------------------------------------------------------------
void testApp::audioReceived(float * input, int bufferSize, int nChannels){
	//audio is interleaved between left and right
	for(int i = 0; i<bufferSize; i++){
		left[i] = input[i*2];
		right[i] = input[i*2+1];
	}
}
//--------------------------------------------------------------
void testApp::keyPressed(int key){
	if (key == 'p') {
		string dateStamp = "_"+ofToString(ofGetYear())+"-"+ofToString(ofGetMonth())+"-"+ofToString(ofGetDay())+"_"+ofToString(ofGetHours())+"-"+ofToString(ofGetMinutes())+"_"+ofToString(ofGetSeconds());
		ofSaveScreen("screenshot"+dateStamp+".png");
	}		
}
//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}



